
QGIS Application - Bug report #3542

Table edits cause loss of geometry

2011-03-03 07:51 PM - John Tull

Status: Closed

Priority: Low

Assignee:

Category: Vectors

Affected QGIS version: Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 13602

Description

In trunk, trying to edit a polygon shapefile's attribute table is causing the polygon geometry to be deleted. You end up losing your polygon.

In my case, I have a shapefile with one polygon. Making any edits in the attribute table cause complete corruption when hitting the save

button. This is fatal...

Associated revisions

Revision 4c0c1654 - 2011-03-04 08:14 AM - Jürgen Fischer

fix #3542

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@15329 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision 42ee9604 - 2011-03-04 08:14 AM - Jürgen Fischer

fix #3542

git-svn-id: http://svn.osgeo.org/qgis/trunk@15329 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision 772bd2f6 - 2011-03-09 12:05 AM - Jürgen Fischer

fix #3542

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@15395 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision 53475e28 - 2011-03-09 12:05 AM - Jürgen Fischer

fix #3542

git-svn-id: http://svn.osgeo.org/qgis/trunk@15395 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2011-03-03 11:15 PM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Open to Closed
fixed in commit:42ee9604 (SVN r15330).

#2 - 2011-03-08 11:01 AM - bderstine -

- Resolution deleted (fixed)

- Status changed from Closed to Feedback

Similar problem in commit:3ebf1bcf (SVN r15377): 

- Toggle Edit Mode On

- Add Field

- Calculate values for field

- Save Edits

- All fields in all records are set to NULL, loss of all attribute table data.  

- Polygons are fine, data is gone.

This is Fatal.

#3 - 2011-03-08 03:05 PM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Feedback to Closed

fixed in commit:53475e28 (SVN r15396).
